Open Lighting Architecture: ola::messaging::FieldDescriptorVisitor Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::messaging::FieldDescriptorVisitor Class Referenceabstract

## Detailed Description

The interface for the FieldDescriptor Visitor

Inheritance diagram for ola::messaging::FieldDescriptorVisitor:

## Public Member Functions
virtual bool | Descend () const =0
virtual void | Visit (const BoolFieldDescriptor *)=0
virtual void | Visit (const IPV4FieldDescriptor *)=0
virtual void | Visit (const MACFieldDescriptor *)=0
virtual void | Visit (const UIDFieldDescriptor *)=0
virtual void | Visit (const StringFieldDescriptor *)=0
virtual void | Visit (const IntegerFieldDescriptor< uint8_t > *)=0
virtual void | Visit (const IntegerFieldDescriptor< uint16_t > *)=0
virtual void | Visit (const IntegerFieldDescriptor< uint32_t > *)=0
virtual void | Visit (const IntegerFieldDescriptor< int8_t > *)=0
virtual void | Visit (const IntegerFieldDescriptor< int16_t > *)=0
virtual void | Visit (const IntegerFieldDescriptor< int32_t > *)=0
virtual void | Visit (const FieldDescriptorGroup *)=0
virtual void | PostVisit (const FieldDescriptorGroup *)=0

## Member Function Documentation

## ◆ PostVisit()

virtual void ola::messaging::FieldDescriptorVisitor::PostVisit | ( | const FieldDescriptorGroup * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

## ◆ Visit() [1/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const BoolFieldDescriptor * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

## ◆ Visit() [2/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const FieldDescriptorGroup * |  | ) |
| pure virtual

Implemented in ola::rdm::MessageDeserializer, and ola::rdm::StringMessageBuilder.

## ◆ Visit() [3/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const IntegerFieldDescriptor< uint8_t > * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

## ◆ Visit() [4/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const IPV4FieldDescriptor * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

## ◆ Visit() [5/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const MACFieldDescriptor * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

## ◆ Visit() [6/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const StringFieldDescriptor * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

## ◆ Visit() [7/7]

virtual void ola::messaging::FieldDescriptorVisitor::Visit | ( | const UIDFieldDescriptor * |  | ) |
| pure virtual

Implemented in ola::rdm::StringMessageBuilder.

The documentation for this class was generated from the following file:

- include/ola/messaging/DescriptorVisitor.h